<?php define('WP_USE_THEMES', false); get_header(); ?>

<div id="main">
<?php $blogurl = get_bloginfo('url');?>

	<div id="nav_wrap">
		<div class="title_wrap">
		<div class="title_topleft"></div>
		<div class="title_topmiddle"></div>
		<div class="title_topright"></div>
		</div>
		<div id="nav">
			<ul>
				<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar(5) ) : else : endif ;?>
			</ul>
		</div>
	</div>

	<div id="maincontent">
	
				<?php
					if(isset($_GET['author_name'])) :
					$curauth = get_userdatabylogin($author_name);
					else :
					$curauth = get_userdata(intval($author));
					endif;
				?>
				<div class="authorinfo_wrap">
					<div class="title_wrap">
						<div class="title_topleft"></div>
						<div class="title_topmiddle"><?php echo $curauth->display_name; ?> Info</div>
						<div class="title_topright"></div>
					</div>
				</div>
				<div class="authorinfo">
						<?php $table_capabilities = capabilities; $table_prefix_cap_join = $table_prefix.$table_capabilities; ?>
						<p>Name: <?php echo $curauth->first_name; ?> <?php echo $curauth->last_name; ?></p>
						<p>Website Role: <?php echo key($curauth->$table_prefix_cap_join); ?></p>
						<p>Personal Website: <a href="<?php echo $curauth->user_url; ?>"><?php echo $curauth->user_url; ?></a></p>
						<p>Profile: <?php echo $curauth->user_description; ?></p>
						<p>RSS Feed: <?php echo '<a href="' . get_bloginfo('url') . '?author=' . $curauth->ID . '&amp;feed=rss2">Feed URL</a>'; ?></p>
				</div>
				<h3>Posts by <?php echo $curauth->display_name; ?>:</h3>

	<?php if ( have_posts() ) : while (have_posts()) : the_post(); ?>

		<div class="entry">
			<div id="post-<?php the_ID(); ?>">
				<div class="title_wrap">
					<div class="title_topleft"></div>
					<div class="title_topmiddle"></div>
					<div class="title_topright"></div>
				</div>
				<div class="post-header">
					<h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
					<div class="date">
						Written on <?php unset($previousday); printf(__('%1$s &#8211; %2$s'), the_date('', '', '', false), get_the_time() ) ?>
					</div>
				</div>
				
				<div class="words">
					<div class="author">
						<a href="<?php echo $blogurl; ?>?author=<?php the_author_ID() ?>"><?php echo get_avatar( get_the_author_email(), '65' ); ?><br />
						<?php the_author() ?></a>
					</div>
					<?php the_content('Read the rest of this entry &raquo;'); ?>
				</div>
				
				<div class="postmetadata">
					Categories: <?php if (the_category(', '))  the_category(); ?> | <?php if (get_the_tags()) the_tags(); ?> | <?php edit_post_link('Edit', '', ' | '); ?><a href="<?php trackback_url(); ?>">Trackback URL</a>
				</div>

				<div class="clear"></div>
			</div>
		</div>

		<?php endwhile; ?>

		<div id="navigation">
		
			<div class="alignleft">
				<?php next_posts_link('Older Posts') ?>
			</div>
			<div class="alignright">
				<?php previous_posts_link('Newer Posts') ?>
			</div>
		</div>

		<?php else : ?>
		<div>
			<h2>Page Not Found</h2>
		</div>

	<?php endif; ?>

	</div>
</div>
<?php get_sidebar(); ?>
<div class="clear"></div>
<?php get_footer(); ?>