<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes() ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />

	<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>
	
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<!--[if IE 6]><link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/stylesheet_ie6.css" type="text/css" /><![endif]-->
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php wp_head(); ?>
</head>

<body>
<div id="maincontainer">

<div id="header_top_wrap">
	<div id="titledesc">
		<h1 class="blogtitle">
			<a href="<?php echo get_option('home'); ?>/">
			<!-- Comment the below line and Uncomment the one below it to display a blog logo -->
			<?php bloginfo('name'); ?>
			<!-- <img src="<?php bloginfo('stylesheet_directory'); ?>/images/logo.png" alt="<?php bloginfo('name'); ?>" border="0" /> -->
			</a>
		</h1>
	<h3 class="desc">
		<?php bloginfo('description'); ?>
	</h3>

	</div>
	
	<div id="authorcal">	
		<div id="author_wrap">
			<div class="title_wrap">
				<div class="title_topleft"></div>
				<div class="title_topmiddle">Authors</div>
				<div class="title_topright"></div>
			</div>
			<div id="author">
				<?php
					$all_logins = $wpdb->get_results("SELECT ID, user_login, user_email, display_name FROM $wpdb->users ORDER BY user_login");
					foreach ( (array) $all_logins as $login )
					{
						echo get_avatar($login->user_email, '25');
						echo '<a href="' . get_bloginfo('url') . '?author=' . $login->ID . '">' . $login->display_name . '</a><br />';
					}
				?>
			</div>
		</div>	
		<div class="search">
			<?php include (TEMPLATEPATH . '/searchform.php'); ?>
		</div>
		
		<div id="calendar">
			<?php get_calendar();?>
		</div>
	</div>
	<div class="clear"></div>
</div>

<div id="header_bottom_wrap">
	<div id="openspace">
		<div class="title_wrap">
			<div class="title_topleft"></div>
			<div class="title_topmiddle"></div>
			<div class="title_topright"></div>
		</div>
		<div id="openspace_contents">
			<ul>
				<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar(2) ) : else : endif ;?>
			</ul>
		</div>
	</div>
	<div id="recent">
		<div class="title_wrap">
			<div class="title_topleft"></div>
			<div class="title_topmiddle"></div>
			<div class="title_topright"></div>
		</div>
		<div id="recent_comments">
			<ul>
				<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar(3) ) : else : endif ;?>
			</ul>
		</div>
	</div>
	<div id="twitter_wrap">
		<div class="title_wrap">
				<div class="title_topleft"></div>
				<div class="title_topmiddle"></div>
				<div class="title_topright"></div>
		</div>
		<div id="twitter">
			<ul>
				<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar(4) ) : else : endif ;?>
			</ul>
		</div>
	</div>
</div>
<div class="clear"></div>